	org &4000

	ld a,1
	call &bc0e	;; mode 1
	ld a,1
	ld bc,&1a1a
	call &bc32	;; ink 1,26
	ld a,2
	ld bc,&0b0b
	call &bc32	;; ink 2,11
	ld a,3
	ld bc,&1a1a
	call &bc32	;; ink 3,26
	ld a,0
	ld bc,&0b0b
	call &bc32	;; ink 0,11
	ld bc,&0b0b
	call &bc38	;; border 11

	ld hl,320
	ex hl,de
	ld hl,200
	call &bbc9	;; origin 320,200

	ld a,1
	call &bbde	;; graphics pen 1

	ld a,1
	call &bc59	;; xor mode

	call setuptable

.begin
	call &bb09
	cp &0d
	jp z,exit

	ld a,1
	ld (count),a

	call calsides	;; begin calculating side positions
	call drwcube	;; draw 1st cube

.loop
	call calsides	;; calculate new side position & begin returning old ones.

	ld a,2
	call &bbde	;; graphics pen 2

	call drwcube	;; draw 2nd cube 

	ld a,1
	call &bbde	;; graphics pen 1
	
	call remcube	;; remove 1st cube

	ld a,2
	ld bc,&1a1a
	call &bc32	;; and display 2nd

	call calsides	;; calculate new side position & return old ones.

	ld a,1
	ld bc,&0b0b
	call &bc32	;; ink 1,11

	call drwcube	;; draw 1st cube

	ld a,2
	call &bbde	;; graphics pen 2

	call remcube	;; remove 2nd cube

	ld a,2
	ld bc,&0b0b
	call &bc32	;; ink 2,11

	ld a,1
	ld bc,&1a1a
	call &bc32	;; ink 1,26

	ld a,(count)
	inc a
	ld (count),a
	cp 36 
	jp nz,loop

	call calsides

	ld a,1
	call &bbde

	call remcube

	call setuptable

	jp begin

.exit	ret

.setuptable
	ld b,28
	ld hl,table
	ld (tableadr),hl
	call getinfo
	ld hl,my1dat
.resloop
	ld (hl),e
	inc hl
	ld (hl),d
	inc hl

	push hl
	ld hl,(tableadr)
	inc hl
	inc hl
	ld (tableadr),hl
	call getinfo
	pop hl

	djnz resloop
	ret

.drwcube
	ld hl,(my1dat)		;; ypos data 1st
	call getinfo
	ex hl,de		;; ypos data goes into hl
	push hl			;; and needs protecting
	ld hl,(mx1dat)		;; xpos data 2nd
	call getinfo
	pop hl
	call &bbc0

	ld hl,(dy1dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx1dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(dy2dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx2dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(dy3dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx3dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(my4dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(mx4dat)
	call getinfo
	pop hl
	call &bbc0

	ld hl,(dy4dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx4dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(dy5dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx5dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(dy6dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx6dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(my7dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(mx7dat)
	call getinfo
	pop hl
	call &bbc0

	ld hl,0
	push hl
	ld hl,(dx7dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(dy8dat)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx8dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,0
	push hl
	ld hl,(dx9dat)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(my10dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(mx10dt)
	call getinfo
	pop hl
	call &bbc0

	ld hl,0
	push hl
	ld hl,(dx10dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(dy11dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(dx11dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,0
	push hl
	ld hl,(dx12dt)
	call getinfo
	pop hl
	call &bbf9
	ret

.remcube
	ld hl,(omy1dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(omx1dt)
	call getinfo
	pop hl
	call &bbc0

	ld hl,(ody1dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx1dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(ody2dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx2dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(ody3dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx3dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(omy4dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(omx4dt)
	call getinfo
	pop hl
	call &bbc0

	ld hl,(ody4dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx4dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(ody5dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx5dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(ody6dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx6dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(omy7dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(omx7dt)
	call getinfo
	pop hl
	call &bbc0

	ld hl,0
	push hl
	ld hl,(odx7dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(ody8dt)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx8dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,0
	push hl
	ld hl,(odx9dt)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(omy10d)
	call getinfo
	ex hl,de
	push hl
	ld hl,(omx10d)
	call getinfo
	pop hl
	call &bbc0

	ld hl,0
	push hl
	ld hl,(odx10d)
	call getinfo
	pop hl
	call &bbf9

	ld hl,(ody11d)
	call getinfo
	ex hl,de
	push hl
	ld hl,(odx11d)
	call getinfo
	pop hl
	call &bbf9

	ld hl,0
	push hl
	ld hl,(odx12d)
	call getinfo
	pop hl
	call &bbf9

	ret	

.calsides
	ld hl,(my1dat)		;; ypos data 1st
	ld (omy1dt),hl
	call calpos
	ld (my1dat),hl

	ld hl,(mx1dat)		;; xpos data 2nd
	ld (omx1dt),hl
	call calpos
	ld (mx1dat),hl

	ld hl,(dy1dat)
	ld (ody1dt),hl
	call calpos
	ld (dy1dat),hl

	ld hl,(dx1dat)
	ld (odx1dt),hl
	call calpos
	ld (dx1dat),hl

	ld hl,(dy2dat)
	ld (ody2dt),hl
	call calpos
	ld (dy2dat),hl

	ld hl,(dx2dat)
	ld (odx2dt),hl
	call calpos
	ld (dx2dat),hl

	ld hl,(dy3dat)
	ld (ody3dt),hl
	call calpos
	ld (dy3dat),hl

	ld hl,(dx3dat)
	ld (odx3dt),hl
	call calpos
	ld (dx3dat),hl

	ld hl,(my4dat)
	ld (omy4dt),hl
	call calpos
	ld (my4dat),hl

	ld hl,(mx4dat)
	ld (omx4dt),hl
	call calpos
	ld (mx4dat),hl

	ld hl,(dy4dat)
	ld (ody4dt),hl
	call calpos
	ld (dy4dat),hl

	ld hl,(dx4dat)
	ld (odx4dt),hl
	call calpos
	ld (dx4dat),hl

	ld hl,(dy5dat)
	ld (ody5dt),hl
	call calpos
	ld (dy5dat),hl

	ld hl,(dx5dat)
	ld (odx5dt),hl
	call calpos
	ld (dx5dat),hl

	ld hl,(dy6dat)
	ld (ody6dt),hl
	call calpos
	ld (dy6dat),hl

	ld hl,(dx6dat)
	ld (odx6dt),hl
	call calpos
	ld (dx6dat),hl

	ld hl,(my7dat)
	ld (omy7dt),hl
	call calpos
	ld (my7dat),hl

	ld hl,(mx7dat)
	ld (omx7dt),hl
	call calpos
	ld (mx7dat),hl

	ld hl,(dx7dat)
	ld (odx7dt),hl
	call calpos
	ld (dx7dat),hl

	ld hl,(dy8dat)
	ld (ody8dt),hl
	call calpos
	ld (dy8dat),hl

	ld hl,(dx8dat)
	ld (odx8dt),hl
	call calpos
	ld (dx8dat),hl

	ld hl,(dx9dat)
	ld (odx9dt),hl
	call calpos
	ld (dx9dat),hl

	ld hl,(my10dt)
	ld (omy10d),hl
	call calpos
	ld (my10dt),hl

	ld hl,(mx10dt)
	ld (omx10d),hl
	call calpos
	ld (mx10dt),hl

	ld hl,(dx10dt)
	ld (odx10d),hl
	call calpos
	ld (dx10dt),hl

	ld hl,(dy11dt)
	ld (ody11d),hl
	call calpos
	ld (dy11dt),hl

	ld hl,(dx11dt)
	ld (odx11d),hl
	call calpos
	ld (dx11dt),hl

	ld hl,(dx12dt)
	ld (odx12d),hl
	call calpos
	ld (dx12dt),hl

	ret
	

.calpos
	inc hl
	inc hl
	ret

.getinfo
	ld e,(hl)
	inc hl
	ld d,(hl)
	ret

.count 	defb 0

.my1dat	defw 0 
.mx1dat	defw 0 

.dy1dat	defw 0 
.dx1dat	defw 0 

.dy2dat	defw 0 
.dx2dat	defw 0 

.dy3dat	defw 0 
.dx3dat	defw 0 

.my4dat	defw 0 
.mx4dat	defw 0 

.dy4dat	defw 0 
.dx4dat	defw 0 

.dy5dat	defw 0 
.dx5dat	defw 0 

.dy6dat	defw 0 
.dx6dat	defw 0 

.my7dat	defw 0 
.mx7dat	defw 0 

.dx7dat	defw 0 

.dy8dat	defw 0 
.dx8dat	defw 0 

.dx9dat	defw 0 


.my10dt	defw 0 
.mx10dt	defw 0 

.dx10dt	defw 0 

.dy11dt	defw 0 
.dx11dt	defw 0 

.dx12dt	defw 0 

.omy1dt	defw 0
.omx1dt	defw 0

.ody1dt	defw 0
.odx1dt	defw 0

.ody2dt	defw 0
.odx2dt	defw 0

.ody3dt	defw 0
.odx3dt	defw 0

.omy4dt	defw 0
.omx4dt	defw 0

.ody4dt	defw 0
.odx4dt	defw 0

.ody5dt	defw 0
.odx5dt	defw 0

.ody6dt	defw 0
.odx6dt	defw 0

.omy7dt	defw 0
.omx7dt	defw 0

.odx7dt	defw 0

.ody8dt	defw 0
.odx8dt	defw 0

.odx9dt	defw 0

.omy10d	defw 0
.omx10d	defw 0

.odx10d	defw 0

.ody11d	defw 0
.odx11d	defw 0

.odx12d	defw 0

.table
	defw datmy1-2,datmx1-2
	defw datdy1-2,datdx1-2
	defw datdy2-2,datdx2-2
	defw datdy3-2,datdx3-2

	defw datmy4-2,datmx4-2
	defw datdy4-2,datdx4-2
	defw datdy5-2,datdx5-2
	defw datdy6-2,datdx6-2

	defw datmy7-2,datmx7-2
	defw datdx7-2
	defw datdy8-2,datdx8-2
	defw datdx9-2

	defw datmy10-2,datmx10-2
	defw datdx10-2
	defw datdy11-2,datdx11-2
	defw datdx12-2


.tableadr
	defw 0

.datmx1
db &64,&00,&6c,&00,&71,&00,&73,&00
db &72,&00,&6f,&00,&69,&00,&60,&00
db &55,&00,&47,&00,&37,&00,&25,&00
db &12,&00,&fe,&ff,&ea,&ff,&d6,&ff
db &c1,&ff,&ae,&ff,&9c,&ff,&8b,&ff
db &7d,&ff,&70,&ff,&65,&ff,&5d,&ff
db &58,&ff,&55,&ff,&54,&ff,&55,&ff
db &59,&ff,&5e,&ff,&65,&ff,&6d,&ff
db &76,&ff,&80,&ff,&89,&ff,&93,&ff
db &9c,&ff,&a4,&ff,&ac,&ff,&b2,&ff
db &b6,&ff,&ba,&ff,&bc,&ff,&bc,&ff
db &bb,&ff,&b9,&ff,&b6,&ff,&b3,&ff
db &ae,&ff,&aa,&ff,&a6,&ff,&a2,&ff
db &9f,&ff,&9d,&ff,&9c,&ff,&9d,&ff
db &9f,&ff,&a4,&ff,&aa,&ff,&b2,&ff
db &bc,&ff,&c7,&ff,&d4,&ff,&e3,&ff
db &f2,&ff,&02,&00,&12,&00,&22,&00
db &32,&00,&41,&00,&4e,&00,&5a,&00

.datmy1
db &64,&00,&6c,&00,&74,&00,&7a,&00
db &80,&00,&85,&00,&89,&00,&8b,&00
db &8d,&00,&8d,&00,&8d,&00,&8b,&00
db &89,&00,&85,&00,&80,&00,&7a,&00
db &74,&00,&6c,&00,&64,&00,&5b,&00
db &51,&00,&47,&00,&3c,&00,&30,&00
db &25,&00,&19,&00,&0c,&00,&00,&00
db &f4,&ff,&e7,&ff,&db,&ff,&d0,&ff
db &c4,&ff,&b9,&ff,&af,&ff,&a5,&ff
db &9c,&ff,&94,&ff,&8c,&ff,&86,&ff
db &80,&ff,&7b,&ff,&77,&ff,&75,&ff
db &73,&ff,&73,&ff,&73,&ff,&75,&ff
db &77,&ff,&7b,&ff,&80,&ff,&86,&ff
db &8c,&ff,&94,&ff,&9c,&ff,&a5,&ff
db &af,&ff,&b9,&ff,&c4,&ff,&d0,&ff
db &db,&ff,&e7,&ff,&f4,&ff,&00,&00
db &0c,&00,&19,&00,&25,&00,&30,&00
db &3c,&00,&47,&00,&51,&00,&5b,&00

.datdx1
db &00,&00,&02,&00,&06,&00,&0d,&00
db &17,&00,&24,&00,&32,&00,&42,&00
db &53,&00,&64,&00,&75,&00,&86,&00
db &96,&00,&a4,&00,&b1,&00,&bb,&00
db &c2,&00,&c6,&00,&c8,&00,&c6,&00
db &c2,&00,&bb,&00,&b1,&00,&a4,&00
db &96,&00,&86,&00,&75,&00,&64,&00
db &53,&00,&42,&00,&32,&00,&24,&00
db &17,&00,&0d,&00,&06,&00,&02,&00
db &00,&00,&02,&00,&06,&00,&0d,&00
db &17,&00,&24,&00,&32,&00,&42,&00
db &53,&00,&64,&00,&75,&00,&86,&00
db &96,&00,&a4,&00,&b1,&00,&bb,&00
db &c2,&00,&c6,&00,&c8,&00,&c6,&00
db &c2,&00,&bb,&00,&b1,&00,&a4,&00
db &96,&00,&86,&00,&75,&00,&64,&00
db &53,&00,&42,&00,&32,&00,&24,&00
db &17,&00,&0d,&00,&06,&00,&02,&00

.datdy1
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff

.datdx2
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00

.datdy2
db &00,&00,&ef,&ff,&dd,&ff,&cc,&ff
db &bc,&ff,&ab,&ff,&9c,&ff,&8d,&ff
db &7f,&ff,&73,&ff,&67,&ff,&5c,&ff
db &53,&ff,&4b,&ff,&44,&ff,&3f,&ff
db &3b,&ff,&39,&ff,&38,&ff,&39,&ff
db &3b,&ff,&3f,&ff,&44,&ff,&4b,&ff
db &53,&ff,&5c,&ff,&67,&ff,&73,&ff
db &7f,&ff,&8d,&ff,&9c,&ff,&ab,&ff
db &bc,&ff,&cc,&ff,&dd,&ff,&ef,&ff
db &00,&00,&11,&00,&23,&00,&34,&00
db &44,&00,&55,&00,&64,&00,&73,&00
db &81,&00,&8d,&00,&99,&00,&a4,&00
db &ad,&00,&b5,&00,&bc,&00,&c1,&00
db &c5,&00,&c7,&00,&c8,&00,&c7,&00
db &c5,&00,&c1,&00,&bc,&00,&b5,&00
db &ad,&00,&a4,&00,&99,&00,&8d,&00
db &81,&00,&73,&00,&64,&00,&55,&00
db &44,&00,&34,&00,&23,&00,&11,&00

.datdx3
db &00,&00,&fe,&ff,&fa,&ff,&f3,&ff
db &e9,&ff,&dc,&ff,&ce,&ff,&be,&ff
db &ad,&ff,&9c,&ff,&8b,&ff,&7a,&ff
db &6a,&ff,&5c,&ff,&4f,&ff,&45,&ff
db &3e,&ff,&3a,&ff,&38,&ff,&3a,&ff
db &3e,&ff,&45,&ff,&4f,&ff,&5c,&ff
db &6a,&ff,&7a,&ff,&8b,&ff,&9c,&ff
db &ad,&ff,&be,&ff,&ce,&ff,&dc,&ff
db &e9,&ff,&f3,&ff,&fa,&ff,&fe,&ff
db &00,&00,&fe,&ff,&fa,&ff,&f3,&ff
db &e9,&ff,&dc,&ff,&ce,&ff,&be,&ff
db &ad,&ff,&9c,&ff,&8b,&ff,&7a,&ff
db &6a,&ff,&5c,&ff,&4f,&ff,&45,&ff
db &3e,&ff,&3a,&ff,&38,&ff,&3a,&ff
db &3e,&ff,&45,&ff,&4f,&ff,&5c,&ff
db &6a,&ff,&7a,&ff,&8b,&ff,&9c,&ff
db &ad,&ff,&be,&ff,&ce,&ff,&dc,&ff
db &e9,&ff,&f3,&ff,&fa,&ff,&fe,&ff

.datdy3
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00

.datmx4
db &9c,&ff,&a6,&ff,&b2,&ff,&bf,&ff
db &ce,&ff,&de,&ff,&ee,&ff,&fe,&ff
db &0e,&00,&1d,&00,&2c,&00,&39,&00
db &44,&00,&4e,&00,&56,&00,&5c,&00
db &61,&00,&63,&00,&64,&00,&63,&00
db &61,&00,&5e,&00,&5a,&00,&56,&00
db &52,&00,&4d,&00,&4a,&00,&47,&00
db &45,&00,&44,&00,&44,&00,&46,&00
db &4a,&00,&4e,&00,&54,&00,&5c,&00
db &64,&00,&6d,&00,&77,&00,&80,&00
db &8a,&00,&93,&00,&9b,&00,&a2,&00
db &a7,&00,&ab,&00,&ac,&00,&ab,&00
db &a8,&00,&a3,&00,&9b,&00,&90,&00
db &83,&00,&75,&00,&64,&00,&52,&00
db &3f,&00,&2a,&00,&16,&00,&02,&00
db &ee,&ff,&db,&ff,&c9,&ff,&b9,&ff
db &ab,&ff,&a0,&ff,&97,&ff,&91,&ff
db &8e,&ff,&8d,&ff,&8f,&ff,&94,&ff

.datmy4
db &9c,&ff,&a5,&ff,&af,&ff,&b9,&ff
db &c4,&ff,&d0,&ff,&db,&ff,&e7,&ff
db &f4,&ff,&00,&00,&0c,&00,&19,&00
db &25,&00,&30,&00,&3c,&00,&47,&00
db &51,&00,&5b,&00,&64,&00,&6c,&00
db &74,&00,&7a,&00,&80,&00,&85,&00
db &89,&00,&8b,&00,&8d,&00,&8d,&00
db &8d,&00,&8b,&00,&89,&00,&85,&00
db &80,&00,&7a,&00,&74,&00,&6c,&00
db &64,&00,&5b,&00,&51,&00,&47,&00
db &3c,&00,&30,&00,&25,&00,&19,&00
db &0c,&00,&00,&00,&f4,&ff,&e7,&ff
db &db,&ff,&d0,&ff,&c4,&ff,&b9,&ff
db &af,&ff,&a5,&ff,&9c,&ff,&94,&ff
db &8c,&ff,&86,&ff,&80,&ff,&7b,&ff
db &77,&ff,&75,&ff,&73,&ff,&73,&ff
db &73,&ff,&75,&ff,&77,&ff,&7b,&ff
db &80,&ff,&86,&ff,&8c,&ff,&94,&ff

.datdx4
db &00,&00,&fe,&ff,&fa,&ff,&f3,&ff
db &e9,&ff,&dc,&ff,&ce,&ff,&be,&ff
db &ad,&ff,&9c,&ff,&8b,&ff,&7a,&ff
db &6a,&ff,&5c,&ff,&4f,&ff,&45,&ff
db &3e,&ff,&3a,&ff,&38,&ff,&3a,&ff
db &3e,&ff,&45,&ff,&4f,&ff,&5c,&ff
db &6a,&ff,&7a,&ff,&8b,&ff,&9c,&ff
db &ad,&ff,&be,&ff,&ce,&ff,&dc,&ff
db &e9,&ff,&f3,&ff,&fa,&ff,&fe,&ff
db &00,&00,&fe,&ff,&fa,&ff,&f3,&ff
db &e9,&ff,&dc,&ff,&ce,&ff,&be,&ff
db &ad,&ff,&9c,&ff,&8b,&ff,&7a,&ff
db &6a,&ff,&5c,&ff,&4f,&ff,&45,&ff
db &3e,&ff,&3a,&ff,&38,&ff,&3a,&ff
db &3e,&ff,&45,&ff,&4f,&ff,&5c,&ff
db &6a,&ff,&7a,&ff,&8b,&ff,&9c,&ff
db &ad,&ff,&be,&ff,&ce,&ff,&dc,&ff
db &e9,&ff,&f3,&ff,&fa,&ff,&fe,&ff

.datdy4
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00

.datdx5
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00

.datdy5
db &00,&00,&ef,&ff,&dd,&ff,&cc,&ff
db &bc,&ff,&ab,&ff,&9c,&ff,&8d,&ff
db &7f,&ff,&73,&ff,&67,&ff,&5c,&ff
db &53,&ff,&4b,&ff,&44,&ff,&3f,&ff
db &3b,&ff,&39,&ff,&38,&ff,&39,&ff
db &3b,&ff,&3f,&ff,&44,&ff,&4b,&ff
db &53,&ff,&5c,&ff,&67,&ff,&73,&ff
db &7f,&ff,&8d,&ff,&9c,&ff,&ab,&ff
db &bc,&ff,&cc,&ff,&dd,&ff,&ef,&ff
db &00,&00,&11,&00,&23,&00,&34,&00
db &44,&00,&55,&00,&64,&00,&73,&00
db &81,&00,&8d,&00,&99,&00,&a4,&00
db &ad,&00,&b5,&00,&bc,&00,&c1,&00
db &c5,&00,&c7,&00,&c8,&00,&c7,&00
db &c5,&00,&c1,&00,&bc,&00,&b5,&00
db &ad,&00,&a4,&00,&99,&00,&8d,&00
db &81,&00,&73,&00,&64,&00,&55,&00
db &44,&00,&34,&00,&23,&00,&11,&00

.datdx6
db &00,&00,&02,&00,&06,&00,&0d,&00
db &17,&00,&24,&00,&32,&00,&42,&00
db &53,&00,&64,&00,&75,&00,&86,&00
db &96,&00,&a4,&00,&b1,&00,&bb,&00
db &c2,&00,&c6,&00,&c8,&00,&c6,&00
db &c2,&00,&bb,&00,&b1,&00,&a4,&00
db &96,&00,&86,&00,&75,&00,&64,&00
db &53,&00,&42,&00,&32,&00,&24,&00
db &17,&00,&0d,&00,&06,&00,&02,&00
db &00,&00,&02,&00,&06,&00,&0d,&00
db &17,&00,&24,&00,&32,&00,&42,&00
db &53,&00,&64,&00,&75,&00,&86,&00
db &96,&00,&a4,&00,&b1,&00,&bb,&00
db &c2,&00,&c6,&00,&c8,&00,&c6,&00
db &c2,&00,&bb,&00,&b1,&00,&a4,&00
db &96,&00,&86,&00,&75,&00,&64,&00
db &53,&00,&42,&00,&32,&00,&24,&00
db &17,&00,&0d,&00,&06,&00,&02,&00

.datdy6
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff

.datmx7
db &64,&00,&6d,&00,&77,&00,&80,&00
db &8a,&00,&93,&00,&9b,&00,&a2,&00
db &a7,&00,&ab,&00,&ac,&00,&ab,&00
db &a8,&00,&a3,&00,&9b,&00,&90,&00
db &83,&00,&75,&00,&64,&00,&52,&00
db &3f,&00,&2a,&00,&16,&00,&02,&00
db &ee,&ff,&db,&ff,&c9,&ff,&b9,&ff
db &ab,&ff,&a0,&ff,&97,&ff,&91,&ff
db &8e,&ff,&8d,&ff,&8f,&ff,&94,&ff
db &9c,&ff,&a6,&ff,&b2,&ff,&bf,&ff
db &ce,&ff,&de,&ff,&ee,&ff,&fe,&ff
db &0e,&00,&1d,&00,&2c,&00,&39,&00
db &44,&00,&4e,&00,&56,&00,&5c,&00
db &61,&00,&63,&00,&64,&00,&63,&00
db &61,&00,&5e,&00,&5a,&00,&56,&00
db &52,&00,&4d,&00,&4a,&00,&47,&00
db &45,&00,&44,&00,&44,&00,&46,&00
db &4a,&00,&4e,&00,&54,&00,&5c,&00

.datmy7
db &9c,&ff,&a5,&ff,&af,&ff,&b9,&ff
db &c4,&ff,&d0,&ff,&db,&ff,&e7,&ff
db &f4,&ff,&00,&00,&0c,&00,&19,&00
db &25,&00,&30,&00,&3c,&00,&47,&00
db &51,&00,&5b,&00,&64,&00,&6c,&00
db &74,&00,&7a,&00,&80,&00,&85,&00
db &89,&00,&8b,&00,&8d,&00,&8d,&00
db &8d,&00,&8b,&00,&89,&00,&85,&00
db &80,&00,&7a,&00,&74,&00,&6c,&00
db &64,&00,&5b,&00,&51,&00,&47,&00
db &3c,&00,&30,&00,&25,&00,&19,&00
db &0c,&00,&00,&00,&f4,&ff,&e7,&ff
db &db,&ff,&d0,&ff,&c4,&ff,&b9,&ff
db &af,&ff,&a5,&ff,&9c,&ff,&94,&ff
db &8c,&ff,&86,&ff,&80,&ff,&7b,&ff
db &77,&ff,&75,&ff,&73,&ff,&73,&ff
db &73,&ff,&75,&ff,&77,&ff,&7b,&ff
db &80,&ff,&86,&ff,&8c,&ff,&94,&ff

.datdx7
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff

.datdx8
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00

.datdy8
db &00,&00,&ef,&ff,&dd,&ff,&cc,&ff
db &bc,&ff,&ab,&ff,&9c,&ff,&8d,&ff
db &7f,&ff,&73,&ff,&67,&ff,&5c,&ff
db &53,&ff,&4b,&ff,&44,&ff,&3f,&ff
db &3b,&ff,&39,&ff,&38,&ff,&39,&ff
db &3b,&ff,&3f,&ff,&44,&ff,&4b,&ff
db &53,&ff,&5c,&ff,&67,&ff,&73,&ff
db &7f,&ff,&8d,&ff,&9c,&ff,&ab,&ff
db &bc,&ff,&cc,&ff,&dd,&ff,&ef,&ff
db &00,&00,&11,&00,&23,&00,&34,&00
db &44,&00,&55,&00,&64,&00,&73,&00
db &81,&00,&8d,&00,&99,&00,&a4,&00
db &ad,&00,&b5,&00,&bc,&00,&c1,&00
db &c5,&00,&c7,&00,&c8,&00,&c7,&00
db &c5,&00,&c1,&00,&bc,&00,&b5,&00
db &ad,&00,&a4,&00,&99,&00,&8d,&00
db &81,&00,&73,&00,&64,&00,&55,&00
db &44,&00,&34,&00,&23,&00,&11,&00

.datdx9
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00

.datmx10
db &9c,&ff,&a4,&ff,&ac,&ff,&b2,&ff
db &b6,&ff,&ba,&ff,&bc,&ff,&bc,&ff
db &bb,&ff,&b9,&ff,&b6,&ff,&b3,&ff
db &ae,&ff,&aa,&ff,&a6,&ff,&a2,&ff
db &9f,&ff,&9d,&ff,&9c,&ff,&9d,&ff
db &9f,&ff,&a4,&ff,&aa,&ff,&b2,&ff
db &bc,&ff,&c7,&ff,&d4,&ff,&e3,&ff
db &f2,&ff,&02,&00,&12,&00,&22,&00
db &32,&00,&41,&00,&4e,&00,&5a,&00
db &64,&00,&6c,&00,&71,&00,&73,&00
db &72,&00,&6f,&00,&69,&00,&60,&00
db &55,&00,&47,&00,&37,&00,&25,&00
db &12,&00,&fe,&ff,&ea,&ff,&d6,&ff
db &c1,&ff,&ae,&ff,&9c,&ff,&8b,&ff
db &7d,&ff,&70,&ff,&65,&ff,&5d,&ff
db &58,&ff,&55,&ff,&54,&ff,&55,&ff
db &59,&ff,&5e,&ff,&65,&ff,&6d,&ff
db &76,&ff,&80,&ff,&89,&ff,&93,&ff

.datmy10
db &64,&00,&6c,&00,&74,&00,&7a,&00
db &80,&00,&85,&00,&89,&00,&8b,&00
db &8d,&00,&8d,&00,&8d,&00,&8b,&00
db &89,&00,&85,&00,&80,&00,&7a,&00
db &74,&00,&6c,&00,&64,&00,&5b,&00
db &51,&00,&47,&00,&3c,&00,&30,&00
db &25,&00,&19,&00,&0c,&00,&00,&00
db &f4,&ff,&e7,&ff,&db,&ff,&d0,&ff
db &c4,&ff,&b9,&ff,&af,&ff,&a5,&ff
db &9c,&ff,&94,&ff,&8c,&ff,&86,&ff
db &80,&ff,&7b,&ff,&77,&ff,&75,&ff
db &73,&ff,&73,&ff,&73,&ff,&75,&ff
db &77,&ff,&7b,&ff,&80,&ff,&86,&ff
db &8c,&ff,&94,&ff,&9c,&ff,&a5,&ff
db &af,&ff,&b9,&ff,&c4,&ff,&d0,&ff
db &db,&ff,&e7,&ff,&f4,&ff,&00,&00
db &0c,&00,&19,&00,&25,&00,&30,&00
db &3c,&00,&47,&00,&51,&00,&5b,&00

.datdx10
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00

.datdx11
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00
db &00,&00,&ef,&ff,&de,&ff,&ce,&ff
db &c0,&ff,&b3,&ff,&a9,&ff,&a2,&ff
db &9e,&ff,&9c,&ff,&9e,&ff,&a2,&ff
db &a9,&ff,&b3,&ff,&c0,&ff,&ce,&ff
db &de,&ff,&ef,&ff,&00,&00,&11,&00
db &22,&00,&32,&00,&40,&00,&4d,&00
db &57,&00,&5e,&00,&62,&00,&64,&00
db &62,&00,&5e,&00,&57,&00,&4d,&00
db &40,&00,&32,&00,&22,&00,&11,&00

.datdy11
db &00,&00,&ef,&ff,&dd,&ff,&cc,&ff
db &bc,&ff,&ab,&ff,&9c,&ff,&8d,&ff
db &7f,&ff,&73,&ff,&67,&ff,&5c,&ff
db &53,&ff,&4b,&ff,&44,&ff,&3f,&ff
db &3b,&ff,&39,&ff,&38,&ff,&39,&ff
db &3b,&ff,&3f,&ff,&44,&ff,&4b,&ff
db &53,&ff,&5c,&ff,&67,&ff,&73,&ff
db &7f,&ff,&8d,&ff,&9c,&ff,&ab,&ff
db &bc,&ff,&cc,&ff,&dd,&ff,&ef,&ff
db &00,&00,&11,&00,&23,&00,&34,&00
db &44,&00,&55,&00,&64,&00,&73,&00
db &81,&00,&8d,&00,&99,&00,&a4,&00
db &ad,&00,&b5,&00,&bc,&00,&c1,&00
db &c5,&00,&c7,&00,&c8,&00,&c7,&00
db &c5,&00,&c1,&00,&bc,&00,&b5,&00
db &ad,&00,&a4,&00,&99,&00,&8d,&00
db &81,&00,&73,&00,&64,&00,&55,&00
db &44,&00,&34,&00,&23,&00,&11,&00

.datdx12
db &38,&ff,&39,&ff,&3b,&ff,&3f,&ff
db &44,&ff,&4b,&ff,&53,&ff,&5c,&ff
db &67,&ff,&73,&ff,&7f,&ff,&8d,&ff
db &9c,&ff,&ab,&ff,&bc,&ff,&cc,&ff
db &dd,&ff,&ef,&ff,&00,&00,&11,&00
db &23,&00,&34,&00,&44,&00,&55,&00
db &64,&00,&73,&00,&81,&00,&8d,&00
db &99,&00,&a4,&00,&ad,&00,&b5,&00
db &bc,&00,&c1,&00,&c5,&00,&c7,&00
db &c8,&00,&c7,&00,&c5,&00,&c1,&00
db &bc,&00,&b5,&00,&ad,&00,&a4,&00
db &99,&00,&8d,&00,&81,&00,&73,&00
db &64,&00,&55,&00,&44,&00,&34,&00
db &23,&00,&11,&00,&00,&00,&ef,&ff
db &dd,&ff,&cc,&ff,&bc,&ff,&ab,&ff
db &9c,&ff,&8d,&ff,&7f,&ff,&73,&ff
db &67,&ff,&5c,&ff,&53,&ff,&4b,&ff
db &44,&ff,&3f,&ff,&3b,&ff,&39,&ff

db &00